Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 971520 - Fedora19:Beta: vnc session shows white screen only
Summary: Fedora19:Beta: vnc session shows white screen only
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: llvm
Version: 19
Hardware: ppc64
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-06 17:31 UTC by IBM Bug Proxy
Modified: 2013-10-16 11:42 UTC (History)
8 users (show)

Fixed In Version: llvm-3.3-0.6.rc3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-15 03:11:19 UTC
Type: ---


Attachments (Terms of Use)
var-log-messages.txt (3.66 MB, text/plain)
2013-06-06 17:31 UTC, IBM Bug Proxy
no flags Details
vnc-issue.png (12.17 KB, image/png)
2013-06-06 17:32 UTC, IBM Bug Proxy
no flags Details
vnc_screenshot.png (217.34 KB, image/png)
2013-10-16 11:41 UTC, IBM Bug Proxy
no flags Details
vnc_screenshot2.png (469.14 KB, image/png)
2013-10-16 11:42 UTC, IBM Bug Proxy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 94455 0 None None None Never

Description IBM Bug Proxy 2013-06-06 17:31:31 UTC
== Comment: #0 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2013-06-06 12:39:08 ==
VNC session shows only white screen and below error messages gets displayed in /var/log/messages of fedora19 beta ppc64 installed system. 


---Output from /var/log/messages ---

Jun  6 11:16:25 miz11 spice-vdagent[1717]: Missing virtio device '/dev/virtio-ports/com.redhat.spice.0': No such file or directory
Jun  6 11:16:25 miz11 dbus-daemon[532]: dbus[532]: [system] Activating via systemd: service name='org.freedesktop.UPower' unit='upower.service'
Jun  6 11:16:25 miz11 dbus[532]: [system] Activating via systemd: service name='org.freedesktop.UPower' unit='upower.service'
Jun  6 11:16:25 miz11 systemd[1]: Starting Daemon for power management...
Jun  6 11:16:25 miz11 dbus-daemon[532]: dbus[532]: [system] Successfully activated service 'org.freedesktop.UPower'
Jun  6 11:16:25 miz11 dbus[532]: [system] Successfully activated service 'org.freedesktop.UPower'
Jun  6 11:16:25 miz11 systemd[1]: Started Daemon for power management.
Jun  6 11:16:27 miz11 dbus-daemon[532]: dbus[532]: [system] Activating via systemd: service name='org.freedesktop.UDisks2' unit='udisks2.service'
Jun  6 11:16:27 miz11 dbus[532]: [system] Activating via systemd: service name='org.freedesktop.UDisks2' unit='udisks2.service'
Jun  6 11:16:27 miz11 systemd[1]: Starting Disk Manager...
Jun  6 11:16:27 miz11 udisksd[1786]: udisks daemon version 2.1.0 starting
Jun  6 11:16:27 miz11 dbus-daemon[532]: dbus[532]: [system] Successfully activated service 'org.freedesktop.UDisks2'
Jun  6 11:16:27 miz11 dbus[532]: [system] Successfully activated service 'org.freedesktop.UDisks2'
Jun  6 11:16:27 miz11 udisksd[1786]: Acquired the name org.freedesktop.UDisks2 on the system message bus
Jun  6 11:16:27 miz11 systemd[1]: Started Disk Manager.
Jun  6 11:16:28 miz11 goa[1797]: goa-daemon version 3.8.2 starting [main.c:113, main()]
Jun  6 11:16:28 miz11 dbus-daemon[532]: dbus[532]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Jun  6 11:16:28 miz11 dbus[532]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Jun  6 11:16:28 miz11 colord[593]: (colord:593): Cd-WARNING **: failed to get seat for session 5 [pid 1712]: Unknown error -2
Jun  6 11:16:28 miz11 colord: Device added: xrandr-VNC-0
Jun  6 11:16:28 miz11 dbus-daemon[532]: dbus[532]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Jun  6 11:16:28 miz11 dbus[532]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Jun  6 11:16:29 miz11 dbus-daemon[532]: dbus[532]: [system] Activating via systemd: service name='org.freedesktop.locale1' unit='dbus-org.freedesktop.locale1.service'
Jun  6 11:16:29 miz11 dbus[532]: [system] Activating via systemd: service name='org.freedesktop.locale1' unit='dbus-org.freedesktop.locale1.service'
Jun  6 11:16:29 miz11 systemd[1]: Starting Locale Service...
Jun  6 11:16:29 miz11 dbus-daemon[532]: dbus[532]: [system] Successfully activated service 'org.freedesktop.locale1'
Jun  6 11:16:29 miz11 dbus[532]: [system] Successfully activated service 'org.freedesktop.locale1'
Jun  6 11:16:29 miz11 systemd[1]: Started Locale Service.
Jun  6 11:16:32 miz11 dbus-daemon[532]: dbus[532]: [system] Activating via systemd: service name='org.freedesktop.Accounts' unit='accounts-daemon.service'
Jun  6 11:16:32 miz11 dbus[532]: [system] Activating via systemd: service name='org.freedesktop.Accounts' unit='accounts-daemon.service'
Jun  6 11:16:32 miz11 systemd[1]: Starting Accounts Service...
Jun  6 11:16:32 miz11 accounts-daemon[1873]: started daemon version 0.6.31
Jun  6 11:16:32 miz11 dbus[532]: [system] Successfully activated service 'org.freedesktop.Accounts'
Jun  6 11:16:32 miz11 dbus-daemon[532]: dbus[532]: [system] Successfully activated service 'org.freedesktop.Accounts'
Jun  6 11:16:32 miz11 systemd[1]: Started Accounts Service.
Jun  6 11:16:33 miz11 gnome-session[1549]: Entering running state
Jun  6 11:16:34 miz11 udisksd[1786]: Mounted /dev/sr0 at /run/media/root/Fedora 19 ppc64 on behalf of uid 0
Jun  6 11:16:37 miz11 kernel: [11400.008540] TCP: lp registered
Jun  6 11:17:08 miz11 kernel: [11431.482938] dm-1: WRITE SAME failed. Manually zeroing.
Jun  6 11:17:36 miz11 gnome-session[1549]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Jun  6 11:17:36 miz11 colord: device removed: xrandr-VNC-0
Jun  6 11:17:37 miz11 NetworkManager[529]: <warn> error requesting auth for org.freedesktop.NetworkManager.settings.modify.system: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.55': no such name
Jun  6 11:17:37 miz11 NetworkManager[529]: <warn> error requesting auth for org.freedesktop.NetworkManager.settings.modify.own: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.55': no such name
Jun  6 11:17:37 miz11 NetworkManager[529]: <warn> error requesting auth for org.freedesktop.NetworkManager.settings.modify.hostname: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.55': no such name
Jun  6 11:18:00 miz11 spice-vdagent[2314]: Missing virtio device '/dev/virtio-ports/com.redhat.spice.0': No such file or directory
Jun  6 11:18:00 miz11 pulseaudio[2324]: [pulseaudio] pid.c: Stale PID file, overwriting.
Jun  6 11:18:01 miz11 goa[2345]: goa-daemon version 3.8.2 starting [main.c:113, main()]
Jun  6 11:18:01 miz11 colord[593]: (colord:593): Cd-WARNING **: failed to get seat for session 5 [pid 2310]: Unknown error -2
Jun  6 11:18:01 miz11 colord: Device added: xrandr-VNC-0
Jun  6 11:18:02 miz11 gnome-session[2152]: Entering running state
Jun  6 11:27:29 miz11 spice-vdagent[2946]: Missing virtio device '/dev/virtio-ports/com.redhat.spice.0': No such file or directory
Jun  6 11:27:29 miz11 pulseaudio[2957]: [pulseaudio] pid.c: Daemon already running.
Jun  6 11:27:29 miz11 pulseaudio[2324]: [pulseaudio] module-x11-xsmp.c: module-x11-xsmp may not be loaded twice.
Jun  6 11:27:29 miz11 pulseaudio[2324]: [pulseaudio] module.c: Failed to load module "module-x11-xsmp" (argument: "display=:2 session_manager=local/unix:@/tmp/.ICE-unix/2784,unix/unix:/tmp/.ICE-unix/2784"): initialization failed.
Jun  6 11:27:30 miz11 goa[2976]: goa-daemon version 3.8.2 starting [main.c:113, main()]
Jun  6 11:27:30 miz11 dbus-daemon[532]: dbus[532]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Jun  6 11:27:30 miz11 dbus[532]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Jun  6 11:27:30 miz11 dbus-daemon[532]: dbus[532]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Jun  6 11:27:30 miz11 dbus[532]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Jun  6 11:27:30 miz11 dbus-daemon[532]: dbus[532]: [system] Activating via systemd: service name='org.freedesktop.locale1' unit='dbus-org.freedesktop.locale1.service'
Jun  6 11:27:30 miz11 dbus[532]: [system] Activating via systemd: service name='org.freedesktop.locale1' unit='dbus-org.freedesktop.locale1.service'
Jun  6 11:27:30 miz11 systemd[1]: Starting Locale Service...
Jun  6 11:27:30 miz11 dbus-daemon[532]: dbus[532]: [system] Successfully activated service 'org.freedesktop.locale1'
Jun  6 11:27:30 miz11 dbus[532]: [system] Successfully activated service 'org.freedesktop.locale1'
Jun  6 11:27:30 miz11 systemd[1]: Started Locale Service.
Jun  6 11:27:31 miz11 gnome-session[2784]: Entering running state


--- Steps to Reproduce ---
1) Install f19 beta ppc64 on p7 lpar
2) install vnc* , gtk-vnc & gtk-vnc-devel packages using yum.
3) update mesa to its latest level (yum install mesa*)
4) run vncserver from terminal
5) Now open vnc session using:  vncviewer <hostip>:1 
6) You can see white screen only and will notice above error in /var/log/messages

--- Attached logs ---
var-log-messages.txt
vnc-issue.png (screenshot)

--- System  & Package info ---
# uname -a
Linux miz11.austin.ibm.com 3.9.4-300.fc19.ppc64p7 #1 SMP Sun May 26 22:14:56 MST 2013 ppc64 ppc64 ppc64 GNU/Linux

[root@miz11 ~]# rpm -qa | egrep "llvm|mesa-dri|gnome-shell"
llvm-libs-3.3-0.4.rc2.fc19.ppc64
gnome-shell-3.8.2-2.fc19.ppc64
mesa-dri-drivers-9.2-0.7.20130528.fc19.ppc64

[root@miz11 ~]# rpm -qa | egrep "vnc"
gvnc-0.5.2-1.fc19.ppc64
tigervnc-license-1.2.80-0.14.20130314svn5065.fc19.noarch
gtk-vnc-0.5.2-1.fc19.ppc64
gtk-vnc-python-0.5.2-1.fc19.ppc64
vnc-ltsp-config-4.0-11.fc19.noarch
libvncserver-0.9.9-7.fc19.ppc64
vnc-reflector-1.2.4-14.fc19.ppc64
libvncserver-devel-0.9.9-7.fc19.ppc64
tigervnc-server-minimal-1.2.80-0.14.20130314svn5065.fc19.ppc64
tigervnc-server-1.2.80-0.14.20130314svn5065.fc19.ppc64
gtk-vnc2-0.5.2-1.fc19.ppc64

== Comment: #1 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2013-06-06 12:40:33 ==

Comment 1 IBM Bug Proxy 2013-06-06 17:31:55 UTC
Created attachment 757781 [details]
var-log-messages.txt

Comment 2 IBM Bug Proxy 2013-06-06 17:32:09 UTC
Created attachment 757782 [details]
vnc-issue.png

Comment 3 Fedora Update System 2013-06-11 18:48:26 UTC
llvm-3.3-0.6.rc3.fc19,mesa-9.2-0.8.20130610.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/llvm-3.3-0.6.rc3.fc19,mesa-9.2-0.8.20130610.fc19

Comment 4 Fedora Update System 2013-06-12 19:07:50 UTC
Package llvm-3.3-0.6.rc3.fc19, mesa-9.2-0.9.20130610.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing llvm-3.3-0.6.rc3.fc19 mesa-9.2-0.9.20130610.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10648/llvm-3.3-0.6.rc3.fc19,mesa-9.2-0.9.20130610.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-06-15 03:11:19 UTC
llvm-3.3-0.6.rc3.fc19, mesa-9.2-0.9.20130610.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 IBM Bug Proxy 2013-06-18 09:33:33 UTC
------- Comment From maknayak@in.ibm.com 2013-06-18 09:29 EDT-------
(In reply to comment #7)
> llvm-3.3-0.6.rc3.fc19, mesa-9.2-0.9.20130610.fc19 has been pushed to the
> Fedora 19 stable repository.  If problems still persist, please make note of
> it in this bug report.

I am not able to update to the above level for mesa and llvm packages.

[root@miz11 ~]# su -c 'yum update --enablerepo=updates-testing llvm-3.3-0.6.rc3.fc19 mesa-9.2-0.9.20130610.fc19'
Last login: Tue Jun 18 05:24:15 EDT 2013 on hvc0
Loaded plugins: langpacks, refresh-packagekit
No Match for argument: llvm-3.3-0.6.rc3.fc19
No package llvm-3.3-0.6.rc3.fc19 available.
No Match for argument: mesa-9.2-0.9.20130610.fc19
No package mesa-9.2-0.9.20130610.fc19 available.
No packages marked for update

Are those packages got made available for fedora19 local mirror  ?

Thanks...
Manas

Comment 7 IBM Bug Proxy 2013-10-16 11:41:52 UTC
Created attachment 812874 [details]
vnc_screenshot.png


------- Comment on attachment From khusriva@in.ibm.com 2013-10-16 11:38 EDT-------


This bug is not getting reproduced on fedora20.

Please check the attachment for conformation.

vnc_screenshot.png

vnc_scree2shot.png


We can close this bug now.

Comment 8 IBM Bug Proxy 2013-10-16 11:42:11 UTC
Created attachment 812875 [details]
vnc_screenshot2.png


------- Comment (attachment only) From khusriva@in.ibm.com 2013-10-16 11:39 EDT-------


Note You need to log in before you can comment on or make changes to this bug.